# Silk2MP3

## Description

Decode silk v3 audio files (like wechat amr, aud files, qq slk files) and convert to other format.

The program for Windows users.

Batch conversion support.

Also support encode to silk v3 (Need `silk_v3_encoder`), compatible with QQ/Wechat.

Wechat mini program audio conversion support.

## Requirement

* silk_v3_decoder
* lame

## Expansion

* silk_v3_encoder (Encode to silk v3 support)
* ffmpeg (Note: When using FFmpeg, do not need LAME any more)

## How To Use

Download the `lame.exe`, `silk2mp3.exe`, `silk_v3_decoder.exe` in one folder. Then run the `silk2mp3.exe`.

[Click here to download zip package for silk2mp3](https://dl.kn007.net/directlink/silk2mp3.zip "silk2mp3.zip").

If need more features, please download [expansion package](https://dl.kn007.net/directlink/silk2mp3-expansion.zip "silk2mp3-expansion.zip").

Also you can download the [full version](https://dl.kn007.net/directlink/silk2mp3-full.zip "silk2mp3-full.zip") to get more features.

## Screenshots

![screenshot](/windows/screenshots/20170528161558.png?raw=true "Screenshot")

[More screenshots](/windows/screenshots/)

## Hash

MD5: AE36A2C9610375A944BA164199D59EE7

SHA1: A15261FD47E93BD1E9AA550FAB085B0C69809276

CRC32: F93CDB27

## Notice

The program compiled with `Autoit3`.

## Test

The test was passed when used following system:
* Windows XP
* Windows Vista
* Windows 7
* Windows 8
* Windows 10

## Links

[https://kn007.net/topics/batch-convert-silk-v3-audio-files-to-mp3-in-windows/](https://kn007.net/topics/batch-convert-silk-v3-audio-files-to-mp3-in-windows/)

## About

[kn007's blog](https://kn007.net) 

## Donate

PayPal: kn007#126.com (Change # to @)

Alipay: kn007#126.com (Change # to @)

[More(Like Wechat, Tenpay, etc.)](https://kn007.net/donate/) 

***

## 中文说明
解码silk v3音频文件（类似微信的amr和aud文件、QQ的slk文件）并转换为其他音频格式。

在Windows平台可用的应用程序。

支持批量转换。

支持将文件编码为silk v3音频文件（需要`silk_v3_encoder`），兼容QQ、微信。

支持转换微信小程序语音文件，可编码或解码。

## 依赖组件

* silk_v3_decoder
* lame

## 扩展组件

* silk_v3_encoder （编码支持组件）
* ffmpeg （注意：当使用FFmpeg时，LAME组件不再强制依赖）

## 如何使用

下载 `lame.exe`、`silk2mp3.exe`、`silk_v3_decoder.exe`后，直接运行`silk2mp3.exe`即可。

[点击这里打包下载](https://dl.kn007.net/directlink/silk2mp3.zip "silk2mp3.zip")

需要扩展功能，请下载[扩展包](https://dl.kn007.net/directlink/silk2mp3-expansion.zip "silk2mp3-expansion.zip")。

你也可以通过下载[完整版](https://dl.kn007.net/directlink/silk2mp3-full.zip "silk2mp3-full.zip")，来得到更多的功能。

## 程序截图

![screenshot](/windows/screenshots/20170528161523.png?raw=true "Screenshot")

[更多截图](/windows/screenshots/)

## 程序鉴定

MD5: AE36A2C9610375A944BA164199D59EE7

SHA1: A15261FD47E93BD1E9AA550FAB085B0C69809276

CRC32: F93CDB27

## 其他提示

该程序由`Autoit3`编译而成，个别小牌杀软可能会误报。

## 环境测试

于以下环境测试通过：
* Windows XP
* Windows Vista
* Windows 7
* Windows 8
* Windows 10

## 相关链接

[https://kn007.net/topics/batch-convert-silk-v3-audio-files-to-mp3-in-windows/](https://kn007.net/topics/batch-convert-silk-v3-audio-files-to-mp3-in-windows/)

## 关于作者

[kn007的个人博客](https://kn007.net) 

## 赞助作者

PayPal：kn007#126.com (请将 # 改为 @)

支付宝：kn007#126.com (请将 # 改为 @)

[其他方式(如微信支付、财付通等)](https://kn007.net/donate/) 
